Bug 856777 - Test case failure: As a Admin I would like to know that my manifest will load as scheduled, even if katello-jobs is not running when I submit the request.
Test case failure: As a Admin I would like to know that my manifest will load...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Linux
unspecified Severity unspecified
: beta
: 1.2
Assigned To: Adam Price
SAM QE List
:
Depends On:
Blocks: sam12-tracker 856778
  Show dependency treegraph
 
Reported: 2012-09-12 15:06 EDT by Eric Sammons
Modified: 2013-02-21 14:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 856778 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:17:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-09-12 15:06:45 EDT
Filed from caserun (INSERT URL HERE)

Version-Release number of selected component (if applicable):
katello-common-1.1.11-1.fc16.noarch

Steps to Reproduce: 
 1. Install a RHEL >= 6.2 system @Base minimum.
 2. Install a Katello based deployment
     1. yum install -y katello-[headpin]-all
        Note: [headpin] is optional for SAM or headpin only deployment.
 3. Configure your deployment.
     1. katello-configure --deployment=[deployment]
 4. Stop the katello-jobs service
     1. service katello-jobs stop
        or
        systemctl stop katello-jobs.service

 


 1. With katello-jobs stopped, verify with:
     1. service katello-jobs status
        or
        systemctl status katello-jobs.service
 2. Navigate to your katello deployment's web ui.
 3. Login with administrative privileges.
 4. Navigate to the Content tab (By.ID, "content")
 5. Click on Import Manifest (By.ID, "new")
 6. In the Browse field, load your manifest.
 7. Click on Import to import your manifest.

To test if the job will complete when katello-jobs starts, you must complete
the next steps on the deployment host.

 1. Start katello-jobs
     1. service katello-jobs start
        or
        systemctl start katello-jobs.service



Actual results: 
Spinner remains with status of (waiting). 

'''' logs ''''
2012-09-12T14:58:46-0400: [Worker(delayed_job host:brainslug.usersys.redhat.com pid:3594)] Starting job worker
2012-09-12T14:58:47-0400: [Worker(delayed_job host:brainslug.usersys.redhat.com pid:3594)] Provider#queue_import_manifest failed with NameError: uninitialized constant Glue::Pulp - 0 failed attempts
2012-09-12T14:58:47-0400: [Worker(delayed_job host:brainslug.usersys.redhat.com pid:3594)] PERMANENTLY removing Provider#queue_import_manifest because of 1 consecutive failures.
uninitialized constant Glue::Pulp
/usr/share/katello/app/models/system.rb:23
/usr/share/katello/app/models/task_status.rb:96:in `extended_index_attrs'
/usr/share/katello/app/models/indexed_model.rb:140:in `send'
/usr/share/katello/app/models/indexed_model.rb:140:in `to_indexed_json'
/usr/lib/ruby/gems/1.8/gems/tire-0.3.13.pre/lib/tire/index.rb:296:in `convert_document_to_json'
...
2012-09-12T14:58:47-0400: [Worker(delayed_job host:brainslug.usersys.redhat.com pid:3594)] 1 jobs processed at 1.9759 j/s, 1 failed ...

Expected results:
 1. At step 7, you should see the following with a spinner.
    Spinner Import in progress (waiting)
 2. After katello-jobs is restarted, the manifest should finish loading and
    appear in the left pane of the tupane view.
Comment 1 Adam Price 2012-11-16 13:57:16 EST
seems to be fixed upstream.

worksforme!
Comment 3 Tazim Kolhar 2012-11-20 00:28:56 EST
VERIFIED :

# rpm -qa | grep katello
katello-configure-1.2.3-1h.el6_3.noarch
katello-headpin-all-1.2.6-1h.el6_3.noarch
katello-glue-candlepin-1.2.6-1h.el6_3.noarch
katello-cli-1.2.4-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-common-1.2.4-1h.el6_3.noarch
katello-headpin-1.2.6-1h.el6_3.noarch
katello-common-1.2.6-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
Comment 5 errata-xmlrpc 2013-02-21 14:17:53 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.